PHPExcel_Worksheet

# Class: PHPExcel_Worksheet_AutoFilter

Source Location: /PHPExcel/Worksheet/AutoFilter.php

### Class Overview

PHPExcel_Worksheet_AutoFilter

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- __construct
- clearColumn
- getColumn
- getColumnByOffset
- getColumnOffset
- getColumns
- getParent
- getRange
- setColumn
- setParent
- setRange
- shiftColumn
- showHideRows
- testColumnInRange
- __clone
- __toString

### Class Details

[line 36]
PHPExcel_Worksheet_AutoFilter

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### constructor __construct [line 65]

`PHPExcel_Worksheet_AutoFilter __construct( [ $pRange = ''], [PHPExcel_Worksheet $pSheet = NULL])`

Create a new PHPExcel_Worksheet_AutoFilter

#### Tags:

access: | public

#### Parameters:

| $pRange |
PHPExcel_Worksheet | $pSheet |

[ Top ]

### method clearColumn [line 250]

`PHPExcel_Worksheet_AutoFilter clearColumn( string $pColumn)`

Clear a specified AutoFilter Column

#### Tags:

throws: | PHPExcel_Exception
access: | public

#### Parameters:

string | $pColumn | Column name (e.g. A)

[ Top ]

### method getColumn [line 189]

`PHPExcel_Worksheet_AutoFilter_Column getColumn( string $pColumn)`

Get a specified AutoFilter Column

#### Tags:

throws: | PHPExcel_Exception
access: | public

#### Parameters:

string | $pColumn | Column name (e.g. A)

[ Top ]

### method getColumnByOffset [line 206]

`PHPExcel_Worksheet_AutoFilter_Column getColumnByOffset( [integer $pColumnOffset = 0])`

Get a specified AutoFilter Column by it's offset

#### Tags:

throws: | PHPExcel_Exception
access: | public

#### Parameters:

integer | $pColumnOffset | Column offset within range (starting from 0)

[ Top ]

### method getColumnOffset [line 178]

`integer getColumnOffset( string $pColumn)`

Get a specified AutoFilter Column Offset within the defined AutoFilter range

#### Tags:

return: | The offset of the specified column within the autofilter range
throws: | PHPExcel_Exception
access: | public

#### Parameters:

string | $pColumn | Column name (e.g. A)

[ Top ]

### method getColumns [line 146]

`array getColumns( )`

Get all AutoFilter Columns

#### Tags:

return: | of PHPExcel_Worksheet_AutoFilter_Column
throws: | PHPExcel_Exception
access: | public

[ Top ]

### method getParent [line 76]

`PHPExcel_Worksheet getParent( )`

Get AutoFilter Parent Worksheet

#### Tags:

access: | public

[ Top ]

### method getRange [line 97]

`string getRange( )`

Get AutoFilter Range

#### Tags:

access: | public

[ Top ]

### method setColumn [line 221]

`PHPExcel_Worksheet_AutoFilter setColumn( PHPExcel_Worksheet_AutoFilter_Column|string $pColumn)`

Set AutoFilter

#### Tags:

throws: | PHPExcel_Exception
access: | public

#### Parameters:

PHPExcel_Worksheet_AutoFilter_Column|string | $pColumn | A simple string containing a Column ID like 'A' is permitted

[ Top ]

### method setParent [line 86]

`PHPExcel_Worksheet_AutoFilter setParent( [PHPExcel_Worksheet $pSheet = NULL])`

Set AutoFilter Parent Worksheet

#### Tags:

access: | public

#### Parameters:

PHPExcel_Worksheet | $pSheet |

[ Top ]

### method setRange [line 108]

`PHPExcel_Worksheet_AutoFilter setRange( [string $pRange = ''])`

Set AutoFilter Range

#### Tags:

throws: | PHPExcel_Exception
access: | public

#### Parameters:

string | $pRange | Cell range (i.e. A1:E10)

[ Top ]

### method shiftColumn [line 271]

`PHPExcel_Worksheet_AutoFilter shiftColumn( [string $fromColumn = NULL], [string $toColumn = NULL])`

Shift an AutoFilter Column Rule to a different column

Note: This method bypasses validation of the destination column to ensure it is within this AutoFilter range. Nor does it verify whether any column rule already exists at $toColumn, but will simply overrideany existing value. Use with caution.

#### Tags:

access: | public

#### Parameters:

string | $fromColumn | Column name (e.g. A)
string | $toColumn | Column name (e.g. B)

[ Top ]

### method showHideRows [line 599]

`PHPExcel_Worksheet_AutoFilter showHideRows( )`

Apply the AutoFilter rules to the AutoFilter Range

#### Tags:

throws: | PHPExcel_Exception
access: | public

[ Top ]

### method testColumnInRange [line 157]

`integer testColumnInRange( string $column)`

Validate that the specified column is in the AutoFilter range

#### Tags:

return: | The column offset within the autofilter range
throws: | PHPExcel_Exception
access: | public

#### Parameters:

string | $column | Column name (e.g. A)

[ Top ]

### method __clone [line 823]

`void __clone( )`

Implement PHP __clone to create a deep clone, not just a shallow copy.

#### Tags:

access: | public

[ Top ]

### method __toString [line 851]

`void __toString( )`

toString method replicates previous behavior by returning the range if object is referenced as a property of its parent.

#### Tags:

access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:15:12 +0200 by phpDocumentor 1.4.4